aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-nsh_sfc-functional-virl.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2018-04-24 11:56:03 +0200
committerJan Gelety <jgelety@cisco.com>2018-04-24 14:11:52 +0200
commit34d8447add5ac6708b97f93decb7bc74df433199 (patch)
tree7a230c94a62cd7236911af1de0a8770e74757d2b /bootstrap-nsh_sfc-functional-virl.sh
parentf5adaa688995d7f78838ad90be54f0dc0cefdd8a (diff)
Use stable/1804 vpp builds for NSH_SFC tests
Change-Id: Iaaf1af31fa526108ebdcf3610bca76346d186183 Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'bootstrap-nsh_sfc-functional-virl.sh')
-rwxr-xr-xbootstrap-nsh_sfc-functional-virl.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/bootstrap-nsh_sfc-functional-virl.sh b/bootstrap-nsh_sfc-functional-virl.sh
index 034ea9bfd4..aa4d5cc045 100755
--- a/bootstrap-nsh_sfc-functional-virl.sh
+++ b/bootstrap-nsh_sfc-functional-virl.sh
@@ -37,7 +37,7 @@ VIRL_PKEY=priv_key
VIRL_SERVER_STATUS_FILE="status"
VIRL_SERVER_EXPECTED_STATUS="PRODUCTION"
-STREAM="master"
+STREAM="stable.1804"
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
export PYTHONPATH=${SCRIPT_DIR}
@@ -158,14 +158,10 @@ for index in "${!VIRL_SERVER[@]}"; do
if [ "${copy}" -eq "0" ]; then
echo "files have already been copied to the VIRL host ${VIRL_SERVER[${index}]}"
else
- if [ "${OS}" == "centos7" ]; then
- scp ${SSH_OPTIONS} *.rpm \
- ${VIRL_USERNAME}@${VIRL_SERVER[${index}]}:${VIRL_DIR_LOC}/
- else
- scp ${SSH_OPTIONS} *.deb \
- ${VIRL_USERNAME}@${VIRL_SERVER[${index}]}:${VIRL_DIR_LOC}/
- fi
- result=$?
+ scp ${SSH_OPTIONS} ${VPP_PKGS[@]} \
+ ${VIRL_USERNAME}@${VIRL_SERVER[${index}]}:${VIRL_DIR_LOC}/
+
+ result=$?
if [ "${result}" -ne "0" ]; then
echo "Failed to copy files to VIRL host ${VIRL_SERVER[${index}]}"
echo ${result}